package com.lightinit.hsdataplatformresdir.json.pojo;

import java.util.Date;
import java.util.List;

/**
 * Created by Mr.Yao on 2018/1/22.
 */
public class ServerInfoEntity {
    private long id;
    private String name;
    private String code;
    private String ip;
    private String disk;
    private String service;
    private String application;
    private int auto;
    private Date register;
    private List<ServerInfoEntity> children;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getDisk() {
        return disk;
    }

    public void setDisk(String disk) {
        this.disk = disk;
    }

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public String getApplication() {
        return application;
    }

    public void setApplication(String application) {
        this.application = application;
    }

    public int getAuto() {
        return auto;
    }

    public void setAuto(int auto) {
        this.auto = auto;
    }

    public Date getRegister() {
        return register;
    }

    public void setRegister(Date register) {
        this.register = register;
    }

    public List<ServerInfoEntity> getChildren() {
        return children;
    }

    public void setChildren(List<ServerInfoEntity> children) {
        this.children = children;
    }
}
